#!/bin/bash
set -u

###INCLUDE:linux-installer-common.inc
###INCLUDE:linux-uninstaller.l10n-de

###INCLUDE:linux-installer-uninstall.inc

DEINSTALL=1

usage()
{
  getxt "Usage: %s [OPTION]...\n" "$ME"
  getxt "Uninstall TrustBridge.\n\n"
  getxt "Options:\n"
  getxt "  -s, --system       do a system wide deinstallation\n"
  getxt "      --help         display this help and exit\n"
  getxt "      --version      output version information and exit\n"
  exit $1
}

parse_args()
{
  OPTS=`getopt \
      -l help,system,version \
      -o s -n "$ME" -- "$@"`
  [ $? -eq 0 ] || usage 23

  eval set -- "$OPTS"

  while true ; do
    case "$1" in
      --system|-s)
        SYSINST=1
        shift 1
        ;;
      --help)
        usage 0
        ;;
      --version)
        version
        ;;
      --)
        shift
        break
        ;;
    esac
  done
}

#======================================================================
# main()

parse_args "$@"
check_priv
init_vars
read_oldinstcfg

cat <<EOF
------------------------------------------------------------------------

   TrustBridge - Uninstaller
   Version ${instcfg[VERSION]} - ${ARCH} (Testversion)

------------------------------------------------------------------------
EOF

deinstall
exit 0
